List requests
1 min
GET
https://api.app.kognic.com/v2/requests
Query Parameters
- projectIdstring<uuid>requiredFormatuuid
- includeInputProgressCountsbooleanDescription
Responses
200
- Enveloped_Seq_Request
- dataRequest[]
- createdAtstring<date-time>requiredFormatdate-time
- externalIdstringrequired
- idstring<uuid>requiredFormatuuid
- inputProgressCountsInputProgressCounts
- completedinteger<int32>requiredFormatint32
- inProgressinteger<int32>requiredFormatint32
- notStartedinteger<int32>requiredFormatint32
- totalinteger<int32>requiredFormatint32
- projectIdstring<uuid>requiredFormatuuid
- titlestringrequired
400
- BadRequest
- errorCodestring
- messagestringrequired
401
- Unauthorized
- messagestringrequired
403
- Forbidden
- messagestringrequired
404
- NotFound
- messagestringrequired
python
import requests
import json
url = "https://api.app.kognic.com/v2/requests?projectId=string<uuid>"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
{
"data": [
{
"createdAt": "",
"externalId": "",
"id": "",
"inputProgressCounts": {
"completed": "",
"inProgress": "",
"notStarted": "",
"total": ""
},
"projectId": "",
"title": ""
}
]
}400
// Bad request
{
"errorCode": "",
"message": ""
}401
// Unauthorized
{
"message": ""
}403
// Forbidden
{
"message": ""
}404
// Not found
{
"message": ""
}